## ros-kinetic-cob-phidget-em-state 0.7.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_phidget_em_state)

find_package(catkin REQUIRED COMPONENTS)

catkin_package()

catkin_install_python(PROGRAMS scripts/em_state_phidget.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}/src
)

=== debian/changelog ===
ros-kinetic-cob-phidget-em-state (0.7.5-3xenial) xenial; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Mon, 05 Apr 2021 22:00:00 -0000

ros-kinetic-cob-phidget-em-state (0.7.4-3xenial) xenial; urgency=high

  * Merge pull request #417 <https://github.com/ipa320/cob_driver/issues/417> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Tue, 13 Oct 2020 22:00:00 -0000

ros-kinetic-cob-phidget-em-state (0.7.3-3xenial) xenial; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-cob-phidget-em-state (0.7.2-3xenial) xenial; urgency=high

  * Merge pull request #408 <https://github.com/ipa320/cob_driver/issues/408> from fmessmer/ci_updates
    [travis] ci updates
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-cob-phidget-em-state (0.7.1-3xenial) xenial; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Wed, 06 Nov 2019 23:00:00 -0000

ros-kinetic-cob-phidget-em-state (0.7.0-3xenial) xenial; urgency=high

  * Merge pull request #396 <https://github.com/ipa320/cob_driver/issues/396> from HannesBachter/indigo_dev
    0.6.15
  * Contributors: Felix Messmer

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Mon, 05 Aug 2019 22:00:00 -0000

ros-kinetic-cob-phidget-em-state (0.6.15-3xenial) xenial; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Tue, 16 Jul 2019 22:00:00 -0000

ros-kinetic-cob-phidget-em-state (0.6.14-3xenial) xenial; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Thu, 06 Jun 2019 22:00:00 -0000

ros-kinetic-cob-phidget-em-state (0.6.13-3xenial) xenial; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Wed, 13 Mar 2019 23:00:00 -0000

ros-kinetic-cob-phidget-em-state (0.6.12-3xenial) xenial; urgency=high

  * update maintainer
  * Contributors: fmessmer

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-kinetic-cob-phidget-em-state (0.6.11-3xenial) xenial; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #341 <https://github.com/ipa320/cob_driver/issues/341> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Benjamin Maidel <bnm@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-kinetic-cob-phidget-em-state (0.6.10-3xenial) xenial; urgency=high



 -- Benjamin Maidel <bnm@ipa.fhg.de>  Sun, 23 Jul 2017 22:00:00 -0000

ros-kinetic-cob-phidget-em-state (0.6.9-3xenial) xenial; urgency=high

  * send em_state only if data from phidget received
  * Contributors: Benjamin Maidel

 -- Benjamin Maidel <bnm@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-kinetic-cob-phidget-em-state (0.6.8-3xenial) xenial; urgency=high

  * fix
  * use values from message
  * fixed syntax error
  * fixed conditions
  * new package to calculate em state from phidgets digital input
  * Contributors: Benjamin Maidel

 -- Benjamin Maidel <bnm@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-kinetic-cob-phidget-em-state (0.6.3-3xenial) xenial; urgency=high



 -- Benjamin Maidel <bnm@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-kinetic-cob-phidget-em-state (0.6.2-3xenial) xenial; urgency=high



 -- Benjamin Maidel <bnm@ipa.fhg.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-kinetic-cob-phidget-em-state (0.6.1-3xenial) xenial; urgency=high



 -- Benjamin Maidel <bnm@ipa.fhg.de>  Tue, 16 Sep 2014 22:00:00 -0000

ros-kinetic-cob-phidget-em-state (0.6.0-3xenial) xenial; urgency=high



 -- Benjamin Maidel <bnm@ipa.fhg.de>  Mon, 08 Sep 2014 22:00:00 -0000

ros-kinetic-cob-phidget-em-state (0.5.7-3xenial) xenial; urgency=high



 -- Benjamin Maidel <bnm@ipa.fhg.de>  Tue, 26 Aug 2014 07:47:00 -0000

ros-kinetic-cob-phidget-em-state (0.5.6-3xenial) xenial; urgency=high



 -- Benjamin Maidel <bnm@ipa.fhg.de>  Tue, 26 Aug 2014 07:42:00 -0000

ros-kinetic-cob-phidget-em-state (0.5.5-3xenial) xenial; urgency=high



 -- Benjamin Maidel <bnm@ipa.fhg.de>  Tue, 26 Aug 2014 06:33:00 -0000

ros-kinetic-cob-phidget-em-state (0.5.4-3xenial) xenial; urgency=high



 -- Benjamin Maidel <bnm@ipa.fhg.de>  Sun, 24 Aug 2014 22:00:00 -0000

ros-kinetic-cob-phidget-em-state (0.5.3-3xenial) xenial; urgency=high



 -- Benjamin Maidel <bnm@ipa.fhg.de>  Sun, 30 Mar 2014 22:00:00 -0000

ros-kinetic-cob-phidget-em-state (0.5.2-3xenial) xenial; urgency=high



 -- Benjamin Maidel <bnm@ipa.fhg.de>  Thu, 20 Mar 2014 23:00:00 -0000

ros-kinetic-cob-phidget-em-state (0.5.1-3xenial) xenial; urgency=high



 -- Benjamin Maidel <bnm@ipa.fhg.de>  Thu, 20 Mar 2014 09:54:00 -0000

=== debian/control ===
Source: ros-kinetic-cob-phidget-em-state
Section: misc
Priority: optional
Maintainer: Benjamin Maidel <benjamin.maidel@mojin-robotics.de>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-cob-phidget-em-state
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-cob-msgs, ros-kinetic-cob-phidgets, ros-kinetic-rospy
Description: The cob_phidget_em_state package publishes emergency state based on phidgets signals.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-cob-phidget-em-state//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
